com.alarmpoint.integrationagent.security

## Class SymmetricCipherException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.alarmpoint.integrationagent.security.SymmetricCipherException

- All Implemented Interfaces:
    java.io.Serializable

      public class SymmetricCipherException
      extends java.lang.Exception

  This exception is thrown when encryption or decryption processing fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymmetricCipherException()` Constructs an SymmetricCipherException with no detail message.
    `SymmetricCipherException(java.lang.String message)` Constructs an SymmetricCipherException with the specified detail message.
    `SymmetricCipherException(java.lang.String message, java.lang.Throwable cause)` Creates a SymmetricCipherException with the specified detail message and cause.
    `SymmetricCipherException(java.lang.Throwable cause)` Creates a SymmetricCipherException with the specified cause

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SymmetricCipherException

          public SymmetricCipherException()

      Constructs an SymmetricCipherException with no detail message.

    - #### SymmetricCipherException

          public SymmetricCipherException(java.lang.String message,
                                          java.lang.Throwable cause)

      Creates a SymmetricCipherException with the specified detail message and cause.
      Parameters:
        `message` - - the details describing the exception
        `cause` - - the cause that triggered this exception

    - #### SymmetricCipherException

          public SymmetricCipherException(java.lang.String message)

      Constructs an SymmetricCipherException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `message` - - the details describing the exception

    - #### SymmetricCipherException

          public SymmetricCipherException(java.lang.Throwable cause)

      Creates a SymmetricCipherException with the specified cause
      Parameters:
        `cause` - - the cause that triggered this exception